Get the Default Search Scope and Order
Use the Search Scope and Order resource to retrieve the default
global search scope and order for the logged-in user, including any pinned objects in
the user’s search results page.
In the following example, the default global search scope of the logged-in user consists of the site, idea, case, opportunity, account, and user objects, in the order in which they are returned in the response body.
Example usage
1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/search/scopeOrder -H "Authorization: Bearer token"Example request body
none required
Example response body
1[
2 {
3 "type":"Site",
4 "url":"/services/data/v67.0/sobjects/Site/describe"
5 },
6 {
7 "type":"Idea",
8 "url":"/services/data/v67.0/sobjects/Idea/describe"
9 },
10 {
11 "type":"Case",
12 "url":"/services/data/v67.0/sobjects/Case/describe"
13 },
14 {
15 "type":"Opportunity",
16 "url":"/services/data/v67.0/sobjects/Opportunity/describe"
17 },
18 {
19 "type":"Account",
20 "url":"/services/data/v67.0/sobjects/Account/describe"
21 },
22 {
23 "type":"User",
24 "url":"/services/data/v67.0/sobjects/User/describe"
25 }
26]